"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "ruby/Makefile.in" between
libcaca-0.99.beta19.tar.gz and libcaca-0.99.beta20.tar.bz2

About: libcaca is a graphics library that outputs text instead of pixels, so that it can work on older video cards or text terminals (something like an advanced AAlib library).

Makefile.in  (libcaca-0.99.beta19):Makefile.in  (libcaca-0.99.beta20.tar.bz2)
# Makefile.in generated by automake 1.14.1 from Makefile.am. # Makefile.in generated by automake 1.16.4 from Makefile.am.
# @configure_input@ # @configure_input@
# Copyright (C) 1994-2013 Free Software Foundation, Inc. # Copyright (C) 1994-2021 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation # This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved. # with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful, # This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. # PARTICULAR PURPOSE.
@SET_MAKE@ @SET_MAKE@
VPATH = @srcdir@ VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)' am__is_gnu_make = { \
if test -z '$(MAKELEVEL)'; then \
false; \
elif test -n '$(MAKE_HOST)'; then \
true; \
elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
true; \
else \
false; \
fi; \
}
am__make_running_with_option = \ am__make_running_with_option = \
case $${target_option-} in \ case $${target_option-} in \
?) ;; \ ?) ;; \
*) echo "am__make_running_with_option: internal error: invalid" \ *) echo "am__make_running_with_option: internal error: invalid" \
"target option '$${target_option-}' specified" >&2; \ "target option '$${target_option-}' specified" >&2; \
exit 1;; \ exit 1;; \
esac; \ esac; \
has_opt=no; \ has_opt=no; \
sane_makeflags=$$MAKEFLAGS; \ sane_makeflags=$$MAKEFLAGS; \
if $(am__is_gnu_make); then \ if $(am__is_gnu_make); then \
skipping to change at line 83 skipping to change at line 93
NORMAL_INSTALL = : NORMAL_INSTALL = :
PRE_INSTALL = : PRE_INSTALL = :
POST_INSTALL = : POST_INSTALL = :
NORMAL_UNINSTALL = : NORMAL_UNINSTALL = :
PRE_UNINSTALL = : PRE_UNINSTALL = :
POST_UNINSTALL = : POST_UNINSTALL = :
build_triplet = @build@ build_triplet = @build@
host_triplet = @host@ host_triplet = @host@
target_triplet = @target@ target_triplet = @target@
subdir = ruby subdir = ruby
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
$(top_srcdir)/.auto/depcomp $(top_srcdir)/.auto/test-driver \
README
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4) $(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES = CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \ am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \ *) f=$$p;; \
esac; esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`; am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
skipping to change at line 150 skipping to change at line 158
AM_V_GEN = $(am__v_GEN_@AM_V@) AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo " GEN " $@; am__v_GEN_0 = @echo " GEN " $@;
am__v_GEN_1 = am__v_GEN_1 =
AM_V_at = $(am__v_at_@AM_V@) AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @ am__v_at_0 = @
am__v_at_1 = am__v_at_1 =
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/.auto/depcomp depcomp = $(SHELL) $(top_srcdir)/.auto/depcomp
am__depfiles_maybe = depfiles am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/caca_la-caca-canvas.Plo \
./$(DEPDIR)/caca_la-caca-display.Plo \
./$(DEPDIR)/caca_la-caca-dither.Plo \
./$(DEPDIR)/caca_la-caca-event.Plo \
./$(DEPDIR)/caca_la-caca-font.Plo ./$(DEPDIR)/caca_la-caca.Plo
am__mv = mv -f am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \ LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \ $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \ $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
$(AM_CFLAGS) $(CFLAGS) $(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@) AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@) am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo " CC " $@; am__v_CC_0 = @echo " CC " $@;
skipping to change at line 195 skipping to change at line 208
END { if (nonempty) { for (i in items) print i; }; } \ END { if (nonempty) { for (i in items) print i; }; } \
' '
# Make sure the list of sources is unique. This is necessary because, # Make sure the list of sources is unique. This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables # e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries. # for different programs/libraries.
am__define_uniq_tagged_files = \ am__define_uniq_tagged_files = \
list='$(am__tagged_files)'; \ list='$(am__tagged_files)'; \
unique=`for i in $$list; do \ unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | $(am__uniquify_input)` done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \ am__tty_colors_dummy = \
mgn= red= grn= lgn= blu= brg= std=; \ mgn= red= grn= lgn= blu= brg= std=; \
am__color_tests=no am__color_tests=no
am__tty_colors = { \ am__tty_colors = { \
$(am__tty_colors_dummy); \ $(am__tty_colors_dummy); \
if test "X$(AM_COLOR_TESTS)" = Xno; then \ if test "X$(AM_COLOR_TESTS)" = Xno; then \
am__color_tests=no; \ am__color_tests=no; \
elif test "X$(AM_COLOR_TESTS)" = Xalways; then \ elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
am__color_tests=yes; \ am__color_tests=yes; \
elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \ elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
skipping to change at line 352 skipping to change at line 363
# extension removed (i.e., equivalently, the names of the test logs, with # extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed). The result is saved in the shell variable # the '.log' extension removed). The result is saved in the shell variable
# '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly, # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)", # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests. # since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \ am__set_TESTS_bases = \
bases='$(TEST_LOGS)'; \ bases='$(TEST_LOGS)'; \
bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \ bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
bases=`echo $$bases` bases=`echo $$bases`
AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
RECHECK_LOGS = $(TEST_LOGS) RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS = @EXEEXT@ .test TEST_EXTENSIONS = @EXEEXT@ .test
LOG_DRIVER = $(SHELL) $(top_srcdir)/.auto/test-driver LOG_DRIVER = $(SHELL) $(top_srcdir)/.auto/test-driver
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS) LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__set_b = \ am__set_b = \
case '$@' in \ case '$@' in \
*/*) \ */*) \
case '$*' in \ case '$*' in \
skipping to change at line 374 skipping to change at line 386
esac;; \ esac;; \
*) \ *) \
b='$*';; \ b='$*';; \
esac esac
am__test_logs1 = $(TESTS:=.log) am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log) am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log) TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/.auto/test-driver TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/.auto/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \ TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
$(TEST_LOG_FLAGS) $(TEST_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/.auto/depcomp \
$(top_srcdir)/.auto/test-driver \
$(top_srcdir)/build/autotools/common.am README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@ ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@ AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@ AR = @AR@
AS = @AS@ AS = @AS@
AUTOCONF = @AUTOCONF@ AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@ AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@ AUTOMAKE = @AUTOMAKE@
AWK = @AWK@ AWK = @AWK@
skipping to change at line 397 skipping to change at line 412
CCAS = @CCAS@ CCAS = @CCAS@
CCASDEPMODE = @CCASDEPMODE@ CCASDEPMODE = @CCASDEPMODE@
CCASFLAGS = @CCASFLAGS@ CCASFLAGS = @CCASFLAGS@
CCDEPMODE = @CCDEPMODE@ CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@ -Wno-strict-prototypes -Wno-missing-prototypes CFLAGS = @CFLAGS@ -Wno-strict-prototypes -Wno-missing-prototypes
CPP = @CPP@ CPP = @CPP@
CPPFLAGS = @CPPFLAGS@ CPPFLAGS = @CPPFLAGS@
CPPUNIT_CFLAGS = @CPPUNIT_CFLAGS@ CPPUNIT_CFLAGS = @CPPUNIT_CFLAGS@
CPPUNIT_LIBS = @CPPUNIT_LIBS@ CPPUNIT_LIBS = @CPPUNIT_LIBS@
CSC = @CSC@ CSC = @CSC@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@ CXX = @CXX@
CXXCPP = @CXXCPP@ CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@ CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@ CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@ CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@ DEFS = @DEFS@
DEPDIR = @DEPDIR@ DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@ DLLTOOL = @DLLTOOL@
DOXYGEN = @DOXYGEN@ DOXYGEN = @DOXYGEN@
DSYMUTIL = @DSYMUTIL@ DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@ DUMPBIN = @DUMPBIN@
DVIPS = @DVIPS@ DVIPS = @DVIPS@
ECHO_C = @ECHO_C@ ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@ ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@ ECHO_T = @ECHO_T@
EGREP = @EGREP@ EGREP = @EGREP@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@ EXEEXT = @EXEEXT@
FGREP = @FGREP@ FGREP = @FGREP@
FTGL_CFLAGS = @FTGL_CFLAGS@ FTGL_CFLAGS = @FTGL_CFLAGS@
FTGL_LIBS = @FTGL_LIBS@ FTGL_LIBS = @FTGL_LIBS@
GACUTIL = @GACUTIL@ GACUTIL = @GACUTIL@
GETOPT_LIBS = @GETOPT_LIBS@ GETOPT_LIBS = @GETOPT_LIBS@
GL_CFLAGS = @GL_CFLAGS@ GL_CFLAGS = @GL_CFLAGS@
GL_LIBS = @GL_LIBS@ GL_LIBS = @GL_LIBS@
GMCS = @GMCS@ GMCS = @GMCS@
GREP = @GREP@ GREP = @GREP@
skipping to change at line 449 skipping to change at line 467
LIBOBJS = @LIBOBJS@ LIBOBJS = @LIBOBJS@
LIBS = @LIBS@ LIBS = @LIBS@
LIBTOOL = @LIBTOOL@ LIBTOOL = @LIBTOOL@
LIPO = @LIPO@ LIPO = @LIPO@
LN_S = @LN_S@ LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@ LTLIBOBJS = @LTLIBOBJS@
LT_MAJOR = @LT_MAJOR@ LT_MAJOR = @LT_MAJOR@
LT_MICRO = @LT_MICRO@ LT_MICRO = @LT_MICRO@
LT_MINOR = @LT_MINOR@ LT_MINOR = @LT_MINOR@
LT_SUFFIX = @LT_SUFFIX@ LT_SUFFIX = @LT_SUFFIX@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
LT_VERSION = @LT_VERSION@ LT_VERSION = @LT_VERSION@
MAKEINFO = @MAKEINFO@ MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@ MANIFEST_TOOL = @MANIFEST_TOOL@
MATH_LIBS = @MATH_LIBS@ MATH_LIBS = @MATH_LIBS@
MKDIR_P = @MKDIR_P@ MKDIR_P = @MKDIR_P@
NM = @NM@ NM = @NM@
NMEDIT = @NMEDIT@ NMEDIT = @NMEDIT@
OBJC = @OBJC@ OBJC = @OBJC@
OBJCDEPMODE = @OBJCDEPMODE@ OBJCDEPMODE = @OBJCDEPMODE@
OBJCFLAGS = @OBJCFLAGS@ OBJCFLAGS = @OBJCFLAGS@
skipping to change at line 546 skipping to change at line 565
mkdir_p = @mkdir_p@ mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@ oldincludedir = @oldincludedir@
pdfdir = @pdfdir@ pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@ pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@ pkgpythondir = @pkgpythondir@
prefix = @prefix@ prefix = @prefix@
program_transform_name = @program_transform_name@ program_transform_name = @program_transform_name@
psdir = @psdir@ psdir = @psdir@
pyexecdir = @pyexecdir@ pyexecdir = @pyexecdir@
pythondir = @pythondir@ pythondir = @pythondir@
runstatedir = @runstatedir@
sbindir = @sbindir@ sbindir = @sbindir@
sharedstatedir = @sharedstatedir@ sharedstatedir = @sharedstatedir@
srcdir = @srcdir@ srcdir = @srcdir@
sysconfdir = @sysconfdir@ sysconfdir = @sysconfdir@
target = @target@ target = @target@
target_alias = @target_alias@ target_alias = @target_alias@
target_cpu = @target_cpu@ target_cpu = @target_cpu@
target_os = @target_os@ target_os = @target_os@
target_vendor = @target_vendor@ target_vendor = @target_vendor@
top_build_prefix = @top_build_prefix@ top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@ top_builddir = @top_builddir@
top_srcdir = @top_srcdir@ top_srcdir = @top_srcdir@
AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/caca -I$(top_builddir)/caca
rubylibdir = $(RUBY_SITEARCHDIR) rubylibdir = $(RUBY_SITEARCHDIR)
rubysitedir = $(RUBY_SITELIBDIR) rubysitedir = $(RUBY_SITELIBDIR)
@USE_RUBY_TRUE@rubylib_LTLIBRARIES = caca.la @USE_RUBY_TRUE@rubylib_LTLIBRARIES = caca.la
@USE_RUBY_TRUE@rubysite_DATA = lib/caca.rb @USE_RUBY_TRUE@rubysite_DATA = lib/caca.rb
@USE_RUBY_TRUE@TESTS = test @USE_RUBY_MINITEST_TRUE@@USE_RUBY_TRUE@TESTS = test
caca_la_CPPFLAGS = -I$(top_srcdir)/caca -I../caca $(RUBY_CFLAGS) caca_la_CPPFLAGS = -I$(top_srcdir)/caca -I../caca $(RUBY_CFLAGS)
caca_la_SOURCES = caca.c \ caca_la_SOURCES = caca.c \
common.h \ common.h \
caca-canvas.c \ caca-canvas.c \
caca-canvas.h \ caca-canvas.h \
caca-dither.c \ caca-dither.c \
caca-dither.h \ caca-dither.h \
caca-font.c \ caca-font.c \
caca-font.h \ caca-font.h \
caca-display.c \ caca-display.c \
skipping to change at line 595 skipping to change at line 616
t/tc_dither.rb \ t/tc_dither.rb \
t/tc_font.rb \ t/tc_font.rb \
t/tc_frame.rb \ t/tc_frame.rb \
README \ README \
$(NULL) $(NULL)
all: all-am all: all-am
.SUFFIXES: .SUFFIXES:
.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(top_srcdir)/build/autotools/comm on.am $(am__configure_deps)
@for dep in $?; do \ @for dep in $?; do \
case '$(am__configure_deps)' in \ case '$(am__configure_deps)' in \
*$$dep*) \ *$$dep*) \
( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
&& { if test -f $@; then exit 0; else break; fi; }; \ && { if test -f $@; then exit 0; else break; fi; }; \
exit 1;; \ exit 1;; \
esac; \ esac; \
done; \ done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign ruby/Makefile'; \ echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign ruby/Makefile'; \
$(am__cd) $(top_srcdir) && \ $(am__cd) $(top_srcdir) && \
$(AUTOMAKE) --foreign ruby/Makefile $(AUTOMAKE) --foreign ruby/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \ @case '$?' in \
*config.status*) \ *config.status*) \
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
*) \ *) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $( echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(
am__depfiles_maybe)'; \ am__maybe_remake_depfiles)'; \
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__dep cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__may
files_maybe);; \ be_remake_depfiles);; \
esac; esac;
$(top_srcdir)/build/autotools/common.am $(am__empty):
$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENC IES) $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENC IES)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(top_srcdir)/configure: $(am__configure_deps) $(top_srcdir)/configure: $(am__configure_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): $(am__aclocal_m4_deps) $(ACLOCAL_M4): $(am__aclocal_m4_deps)
cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps): $(am__aclocal_m4_deps):
skipping to change at line 670 skipping to change at line 691
caca.la: $(caca_la_OBJECTS) $(caca_la_DEPENDENCIES) $(EXTRA_caca_la_DEPENDENCIES ) caca.la: $(caca_la_OBJECTS) $(caca_la_DEPENDENCIES) $(EXTRA_caca_la_DEPENDENCIES )
$(AM_V_CCLD)$(caca_la_LINK) $(am_caca_la_rpath) $(caca_la_OBJECTS) $(caca _la_LIBADD) $(LIBS) $(AM_V_CCLD)$(caca_la_LINK) $(am_caca_la_rpath) $(caca_la_OBJECTS) $(caca _la_LIBADD) $(LIBS)
mostlyclean-compile: mostlyclean-compile:
-rm -f *.$(OBJEXT) -rm -f *.$(OBJEXT)
distclean-compile: distclean-compile:
-rm -f *.tab.c -rm -f *.tab.c
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-canvas.Plo@am__quo @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-canvas.Plo@am__quo
te@ te@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-display.Plo@am__qu @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-display.Plo@am__qu
ote@ ote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-dither.Plo@am__quo @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-dither.Plo@am__quo
te@ te@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-event.Plo@am__quot @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-event.Plo@am__quot
e@ e@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-font.Plo@am__quote @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca-font.Plo@am__quote
@ @ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca.Plo@am__quote@ @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/caca_la-caca.Plo@am__quote@ # a
m--include-marker
$(am__depfiles_remade):
@$(MKDIR_P) $(@D)
@echo '# dummy' >$@-t && $(am__mv) $@-t $@
am--depfiles: $(am__depfiles_remade)
.c.o: .c.o:
@am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|; s|\.o$$||'`;\ @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|; s|\.o$$||'`;\
@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< & &\ @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< & &\
@am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool =no @AMDEPBACKSLASH@ @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool =no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $< @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
.c.obj: .c.obj:
skipping to change at line 852 skipping to change at line 879
if test -n "$$redo_bases"; then \ if test -n "$$redo_bases"; then \
redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \ redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \ redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
if $(am__make_dryrun); then :; else \ if $(am__make_dryrun); then :; else \
rm -f $$redo_logs && rm -f $$redo_results || exit 1; \ rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
fi; \ fi; \
fi; \ fi; \
if test -n "$$am__remaking_logs"; then \ if test -n "$$am__remaking_logs"; then \
echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \ echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
"recursion detected" >&2; \ "recursion detected" >&2; \
else \ elif test -n "$$redo_logs"; then \
am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \ am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
fi; \ fi; \
if $(am__make_dryrun); then :; else \ if $(am__make_dryrun); then :; else \
st=0; \ st=0; \
errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \ errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
for i in $$redo_bases; do \ for i in $$redo_bases; do \
test -f $$i.trs && test -r $$i.trs \ test -f $$i.trs && test -r $$i.trs \
|| { echo "$$errmsg $$i.trs" >&2; st=1; }; \ || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
test -f $$i.log && test -r $$i.log \ test -f $$i.log && test -r $$i.log \
|| { echo "$$errmsg $$i.log" >&2; st=1; }; \ || { echo "$$errmsg $$i.log" >&2; st=1; }; \
skipping to change at line 929 skipping to change at line 956
| $(am__create_global_log); \ | $(am__create_global_log); \
} >$(TEST_SUITE_LOG).tmp || exit 1; \ } >$(TEST_SUITE_LOG).tmp || exit 1; \
mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \ mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
if $$success; then \ if $$success; then \
col="$$grn"; \ col="$$grn"; \
else \ else \
col="$$red"; \ col="$$red"; \
test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \ test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
fi; \ fi; \
echo "$${col}$$br$${std}"; \ echo "$${col}$$br$${std}"; \
echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \ echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
echo "$${col}$$br$${std}"; \ echo "$${col}$$br$${std}"; \
create_testsuite_report --maybe-color; \ create_testsuite_report --maybe-color; \
echo "$$col$$br$$std"; \ echo "$$col$$br$$std"; \
if $$success; then :; else \ if $$success; then :; else \
echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \ echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
if test -n "$(PACKAGE_BUGREPORT)"; then \ if test -n "$(PACKAGE_BUGREPORT)"; then \
echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \ echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
fi; \ fi; \
echo "$$col$$br$$std"; \ echo "$$col$$br$$std"; \
fi; \ fi; \
skipping to change at line 984 skipping to change at line 1011
--log-file $$b.log --trs-file $$b.trs \ --log-file $$b.log --trs-file $$b.trs \
$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_ FLAGS) -- $(TEST_LOG_COMPILE) \ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_ FLAGS) -- $(TEST_LOG_COMPILE) \
"$$tst" $(AM_TESTS_FD_REDIRECT) "$$tst" $(AM_TESTS_FD_REDIRECT)
@am__EXEEXT_TRUE@.test$(EXEEXT).log: @am__EXEEXT_TRUE@.test$(EXEEXT).log:
@am__EXEEXT_TRUE@ @p='$<'; \ @am__EXEEXT_TRUE@ @p='$<'; \
@am__EXEEXT_TRUE@ $(am__set_b); \ @am__EXEEXT_TRUE@ $(am__set_b); \
@am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \ @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
@am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \ @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
@am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $( TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \ @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $( TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
@am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT) @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
distdir: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) distdir-am
distdir: $(DISTFILES) distdir-am: $(DISTFILES)
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \ list='$(DISTFILES)'; \
dist_files=`for file in $$list; do echo $$file; done | \ dist_files=`for file in $$list; do echo $$file; done | \
sed -e "s|^$$srcdirstrip/||;t" \ sed -e "s|^$$srcdirstrip/||;t" \
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
case $$dist_files in \ case $$dist_files in \
*/*) $(MKDIR_P) `echo "$$dist_files" | \ */*) $(MKDIR_P) `echo "$$dist_files" | \
sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
sort -u` ;; \ sort -u` ;; \
skipping to change at line 1062 skipping to change at line 1091
maintainer-clean-generic: maintainer-clean-generic:
@echo "This command is intended for maintainers to use" @echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild." @echo "it deletes files that may require special tools to rebuild."
clean: clean-am clean: clean-am
clean-am: clean-generic clean-libtool clean-rubylibLTLIBRARIES \ clean-am: clean-generic clean-libtool clean-rubylibLTLIBRARIES \
mostlyclean-am mostlyclean-am
distclean: distclean-am distclean: distclean-am
-rm -rf ./$(DEPDIR) -rm -f ./$(DEPDIR)/caca_la-caca-canvas.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-display.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-dither.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-event.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-font.Plo
-rm -f ./$(DEPDIR)/caca_la-caca.Plo
-rm -f Makefile -rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \ distclean-am: clean-am distclean-compile distclean-generic \
distclean-tags distclean-tags
dvi: dvi-am dvi: dvi-am
dvi-am: dvi-am:
html: html-am html: html-am
skipping to change at line 1108 skipping to change at line 1142
install-pdf-am: install-pdf-am:
install-ps: install-ps-am install-ps: install-ps-am
install-ps-am: install-ps-am:
installcheck-am: installcheck-am:
maintainer-clean: maintainer-clean-am maintainer-clean: maintainer-clean-am
-rm -rf ./$(DEPDIR) -rm -f ./$(DEPDIR)/caca_la-caca-canvas.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-display.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-dither.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-event.Plo
-rm -f ./$(DEPDIR)/caca_la-caca-font.Plo
-rm -f ./$(DEPDIR)/caca_la-caca.Plo
-rm -f Makefile -rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic maintainer-clean-am: distclean-am maintainer-clean-generic
mostlyclean: mostlyclean-am mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-compile mostlyclean-generic \ mostlyclean-am: mostlyclean-compile mostlyclean-generic \
mostlyclean-libtool mostlyclean-libtool
pdf: pdf-am pdf: pdf-am
pdf-am: pdf-am:
ps: ps-am ps: ps-am
ps-am: ps-am:
uninstall-am: uninstall-rubylibLTLIBRARIES uninstall-rubysiteDATA uninstall-am: uninstall-rubylibLTLIBRARIES uninstall-rubysiteDATA
.MAKE: check-am install-am install-strip .MAKE: check-am install-am install-strip
.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \ .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
clean-generic clean-libtool clean-rubylibLTLIBRARIES \ check-am clean clean-generic clean-libtool \
cscopelist-am ctags ctags-am distclean distclean-compile \ clean-rubylibLTLIBRARIES cscopelist-am ctags ctags-am \
distclean-generic distclean-libtool distclean-tags distdir dvi \ distclean distclean-compile distclean-generic \
dvi-am html html-am info info-am install install-am \ distclean-libtool distclean-tags distdir dvi dvi-am html \
install-data install-data-am install-dvi install-dvi-am \ html-am info info-am install install-am install-data \
install-exec install-exec-am install-html install-html-am \ install-data-am install-dvi install-dvi-am install-exec \
install-info install-info-am install-man install-pdf \ install-exec-am install-html install-html-am install-info \
install-pdf-am install-ps install-ps-am \ install-info-am install-man install-pdf install-pdf-am \
install-rubylibLTLIBRARIES install-rubysiteDATA install-strip \ install-ps install-ps-am install-rubylibLTLIBRARIES \
installcheck installcheck-am installdirs maintainer-clean \ install-rubysiteDATA install-strip installcheck \
installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \ maintainer-clean-generic mostlyclean mostlyclean-compile \
mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \ mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
recheck tags tags-am uninstall uninstall-am \ recheck tags tags-am uninstall uninstall-am \
uninstall-rubylibLTLIBRARIES uninstall-rubysiteDATA uninstall-rubylibLTLIBRARIES uninstall-rubysiteDATA
echo-sources: ; echo $(SOURCES) .PRECIOUS: Makefile
echo-topdir: ; echo $(top_srcdir)
echo-sources: ; echo $(SOURCES) $(EXTRA_CHECKS)
# Tell versions [3.59,3.63) of GNU make to not export all variables. # Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded. # Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT: .NOEXPORT:
 End of changes. 28 change blocks. 
44 lines changed or deleted 88 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)